using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml;

namespace DDUtilityApp.WORKFLOW.DATA
{
    
    public class Parameter
    {

        public string Name { get; set; }

        public string Type { get; set; }

        public Parameter()
        {
        }

        public Parameter(XmlNode node)
        {
            foreach (XmlAttribute attribute in node.Attributes)
            {
                if (string.Compare(attribute.Name, "Name", true) == 0) this.Name = attribute.Value;
                if (string.Compare(attribute.Name, "x:TypeArguments", true) == 0) this.Type = attribute.Value;
            }
        }

    }

}
